На Jupyter Notebook с кодом tf.__version__ Я получаю "1.14.0"

Но в командной строке: pip show tensorflow я получаю 2.2.0

Я хотел бы использовать Tensorflow 2.2.0 в Jupyter Notebook, как это можно сделать?

0
kern 15 Июн 2020 в 04:34

1 ответ

Лучший ответ

Подумав об этом, самый простой способ убедиться, что правильная версия TF установлена ​​под правильной версией python, может заключаться в установке изнутри ноутбука jupyter с помощью

import subprocess
import sys
subprocess.check_call([sys.executable, "-m",
    "pip", "install", "--user", "tensorflow==2.2.0"])

Это должно гарантировать, что он доступен для правильной версии python.

(См. https://stackoverflow.com/a/50255019/401059 об использовании pip из python.)

1
Caesar 19 Июн 2020 в 02:12